#!/bin/bash


VERSION=$(git describe)
echo "class Version { static String asString = \"${VERSION}\";}" > src/main/java/Version.java
mvn package

#JAVA_HOME=/usr/lib/jvm/java-17-openjdk-17.0.9.0.9-3.fc38.x86_64 mvn  package
# java show class version:
# find . -name "*.class" -exec file -b {} \; | awk -F',' '{print $NF}' | sort -u
